{% extends "base.html" %}



{% block title %}
    {% if title %}
        {{ title }}
    {% else %}
    IRC bot logs.
    {% endif %}
{% endblock %}



{% block header %}
    {% if from_msg %}
        <h1>Wiadomości: {{from_msg}}-{{to_msg}}</h1>
    {% else %}
        {% if title %}
            <h1>{{ title }}<h1>
        {% else %}
            <h1>IRC bot logs.</h1>
        {% endif %}
    {% endif %}
{% endblock %}



{% block body_text %}
    <div class="center">
        {% if msg_list %}
            <table class="irctable">
                <thead class="irctable">
                    <tr>
                        <th style="width: 30px;"> nr: </th>
                        <th style="width:140px;"> Data: </th>
                        <th style-"width: 120px;"> Nick: </th>
                        <th>Wiadomość</th>
                    </tr>
                </thead>
                {% for message in msg_list %}
                    <tbody class="ircmsg" id="id_{{ forloop.counter0 }}">
                        <tr>
                            <td>{{forloop.counter}}</td>
                            <td style="font-size: 0.75em;">{{message.date|timesince }}</td>
                            <td>
                                <a href="/user/{{message.user_id|escape}}">{{message.user_id}}</a>
                            </td>
                            <td style="text-align:left">{{message.text|escape}}</td>
                        </tr>
                    </tbody>
                {% endfor %}
            </table>
        {% else %}
            <p>Brak wiadomości</p>
        {% endif %}
    </div>
{% endblock %}


{% block footer %}
    <div class="center">
        {% if from_msg %}
            <a href="/old/{{prev_msg}}">pokaż nowsze</a> |
        {% endif %}
        <a href="/old/{{to_msg}}">pokaż starsze</a>
    </div>
{% endblock %}
